﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class PlayerController : MonoBehaviour {
	public float speed;

/*  Unity API
 *  =================================================================*/
	void Awake() {
		rigidbody = GetComponent<Rigidbody2D>();
	}

	void FixedUpdate() {
		float dx = Input.GetAxis("Horizontal");
		float dy = Input.GetAxis("Vertical");

		rigidbody.velocity = new Vector3(dx, dy, 0.0f) * speed;
	}

/*  Public Methods
 *  =================================================================*/

/*  Private Members
 *  =================================================================*/
	private Rigidbody2D rigidbody;
}
